<?xml version="1.0"?>
<odoo>
    <record id="somari_template_security_strategy_action" model="ir.actions.act_window">
        <field name="name">Security Strategy</field>
        <field name="res_model">somari.template</field>
        <field name="view_mode">tree,form</field>
        <field name="context">{'default_type': 'security_strategy'}</field>
        <field name="domain">[('type', '=', 'security_strategy')]</field>
        <field name="help" type="html">
            <p class="o_view_nocontent_smiling_face">
                Templates
            </p>
        </field>
    </record>

    <record id="somari_template_context_action" model="ir.actions.act_window">
        <field name="name">Context Analysis</field>
        <field name="res_model">somari.template</field>
        <field name="view_mode">tree,form</field>
        <field name="context">{'default_type': 'context'}</field>
        <field name="domain">[('type', '=', 'context')]</field>
        <field name="help" type="html">
            <p class="o_view_nocontent_smiling_face">
                Templates
            </p>
        </field>
    </record>

    <record id="somari_template_sop_action" model="ir.actions.act_window">
        <field name="name">SOP</field>
        <field name="res_model">somari.template</field>
        <field name="view_mode">tree,form</field>
        <field name="context">{'default_type': 'sop'}</field>
        <field name="domain">[('type', '=', 'sop')]</field>
        <field name="help" type="html">
            <p class="o_view_nocontent_smiling_face">
                Templates
            </p>
        </field>
    </record>

    <record id="somary_template_view_tree" model="ir.ui.view">
        <field name="name">somari.template.tree</field>
        <field name="model">somari.template</field>
        <field name="arch" type="xml">
            <tree>
                <field name="name"/>
                <field name="tag_ids" widget="many2many_tags" options="{'color_field': 'color'}"/>
            </tree>
        </field>
    </record>

    <record id="somary_template_view_form" model="ir.ui.view">
        <field name="name">somari.template.form</field>
        <field name="model">somari.template</field>
        <field name="arch" type="xml">
            <form>
                <sheet>
                    <h1>
                        <field name="name" placeholder="Template title"/>
                    </h1>
                    <group>
                        <field name="tag_ids" widget="many2many_tags" options="{'color_field': 'color'}"/>
                        <field name="content"/>
                    </group>
                </sheet>
            </form>
        </field>
    </record>

    <record id="somari_template_view_search" model="ir.ui.view">
        <field name="name">somari.template.search</field>
        <field name="model">somari.template</field>
        <field name="arch" type="xml">
            <search>
                <field name="name"/>
                <field name="tag_ids"/>
            </search>
        </field>
    </record>
</odoo>
